> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Export Data Source Template > Exports a data source template ## OpenAPI ````json POST /api/v1/Authoring/data-source-template-file/{id}/export { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/Authoring/data-source-template-file/{id}/export": { "post": { "tags": [ "Authoring" ], "summary": "Export Data Source Template", "description": "Exports a data source template", "parameters": [ { "name": "id", "in": "path", "description": "Id of data source template being exported", "required": true, "schema": { "type": "integer", "format": "int32" } } ], "requestBody": { "description": "Information about the object to be exported", "content": { "application/json-patch+json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSourceTemplateExportRequest" } }, "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSourceTemplateExportRequest" } }, "text/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSourceTemplateExportRequest" } }, "application/*+json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSourceTemplateExportRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataSourceTemplateExportResult" } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.ErrorListResponse" } } } } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.DataSourceTemplateExportRequest": { "title": "DataSourceTemplateExportRequest", "required": [ "fileName" ], "type": "object", "properties": { "fileName": { "minLength": 1, "type": "string", "description": "Name of the export file" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.DataSourceTemplateExportResult": { "title": "DataSourceTemplateExportResult", "type": "object", "properties": { "fileName": { "type": "string", "description": "Name of the export file" }, "mimeType": { "type": "string", "description": "Mime type of the export file" }, "contentBase64": { "type": "string", "description": "Content of the export file formatted as a Base64 string", "format": "byte", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.ErrorListResponse": { "title": "ErrorListResponse", "type": "object", "properties": { "errors": { "type": "array", "items": { "type": "string" } } }, "additionalProperties": false } } } } ````